@echo off
@rem **************************************************************************
@rem * Licensed Materials - Property of Tivoli Systems
@rem * 5697-GEM
@rem * (C) Copyright Tivoli Systems 1997, 1999
@rem * All rights reserved.
@rem *
@rem * US Government Users Restricted Rights - Use, duplication or
@rem * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem **************************************************************************
@rem * Start the topology console apps on Windows NT.
@rem *
@rem * Command Line Arguments:
@rem * =======================
@rem * %1 - required; "base" console installation path
@rem *                 examples:  C:\usr\local\Tivoli\bin\generic_unix\TDS\client
@rem *                            %bindir%\..\generic_unix\TDS\client
@rem *                            .. (if TDS\client\bin is "current directory")
@rem * %2 - required; class name to invoke
@rem * %3 - optional; additional class command line argument
@rem * ...
@rem * %n - optional; additional class command line argument
@rem *
@rem * Optional Environment Variables
@rem * ==============================
@rem * TCONSOLE_BACKDOOR....Java code library(s) placed at front of CLASSPATH
@rem * TCONSOLE_CLASSPATH...Java code library(s) placed at end   of CLASSPATH
@rem * TCONSOLE_JAVAOPTS....command line arg(s) for Java program
@rem **************************************************************************
cls

@rem **************************************************************************
@rem *  The console installation "root" and classname must be specified!
@rem **************************************************************************
if not "%1"=="" goto start

echo Usage: %0 "installation-path" "class name" [ args ]

goto done

if not "%2"=="" goto start

echo Usage: %0 "installation-path" "class name" [ args ]

goto done

:start

setlocal

@rem **************************************************************************
@rem *  Determine interesting "locations"
@rem **************************************************************************
set IPATH=%1
set IJAVA=%1\..\..\..\w32-ix86\TDS\java

@rem **************************************************************************
@rem *  Parse the command line arguments
@rem **************************************************************************
set  ARGS=

:nextArg

@shift

@if "%1"=="" goto argsDone

set ARGS=%ARGS% %1

@goto nextArg

:argsDone

@echo IPATH="%IPATH%"
@echo IJAVA="%IJAVA%"
@echo  ARGS="%ARGS%"

@rem **************************************************************************
@rem *  Define Java command and options: mx = Maximum heap size
@rem *                                   ms = Initial heap size
@rem **************************************************************************
                                 set JAVA_CMD=java -mx45M -ms16M
if not "%TCONSOLE_JAVAOPTS%"=="" set JAVA_CMD=%JAVA_CMD% %TCONSOLE_JAVAOPTS%
                                 set JAVA_CMD=%JAVA_CMD% -classpath

@rem **************************************************************************
@rem *  Define Java code library
@rem **************************************************************************
set JAVA_LIB=%IJAVA%\lib\rt.jar;%IJAVA%\lib\i18n.jar

@rem **************************************************************************
@rem *  Generate new PATH to include:
@rem *   - console's built-in Java
@rem *   - console's BIN directory (so "Remote Control" operates properly)
@rem **************************************************************************
set PATH=%IJAVA%\bin;%IPATH%\bin;%PATH%

@echo  PATH="%PATH%"

@rem **************************************************************************
@rem *  Start the class 
@rem **************************************************************************
:startClass

echo on

%JAVA_CMD% "%TCONSOLE_BACKDOOR%;%IPATH%\lib\ihseuc.jar;%JAVA_LIB%;%TCONSOLE_CLASSPATH%" %ARGS%

@echo off

@rem **************************************************************************
@rem *  Good Bye!
@rem **************************************************************************
:done

endlocal
