package examples;
import java.io.*;
import java.awt.*;
import java.lang.*;
import java.util.*;
import com.ibm.eNetwork.ECL.*;
import com.ibm.eNetwork.beans.HOD.*;
import com.ibm.eNetwork.ECL.event.*;
import java.awt.event.*;
import src.ibmflb.*;
/*********************************************************************
 * This is a sample to issue a command in NetView FullScreen Session
 */

public class FLB_HACLsample  extends Frame implements FLB_NVApplInterface, ECLPSListener

{
   private ECLSession session;
   private ECLPS ps;
   private ECLOIA oia;
   private FLB_NVApplListener listener;

   /*********************************************************************
   * Constructor for FLB_HACLsample
   */

   public  FLB_HACLsample(){

   }

   /*********************************************************************
   * Method called by NMC3270MC when the appl is initialized.
   * This method is defined as part of the FLB_NVApplInterface
   * Add your working code here
   */
   
   public void init(ECLSession session)
   {     
      ps = session.GetPS();   // Get Presentation Space Object  
      oia = session.GetOIA(); //Get Operator Input Area Object

      // Register with the ECL that we want to be notified whenever the
      // screen is updated.  

      ps.RegisterPSEvent(this);

      command("ald"); // Issue FullScreen command (NPDA "ALD" command)
   }

   /*********************************************************************
    * Method to issue a command
    */


   public void command(String cmd)
   {

      if(oia.InputInhibited() == 0)  // Input is not locked
      {
         try
         {
            ps.SendKeys(cmd+"[enter]"); // Send command text and enter key
         }
         catch(ECLErr err)
         //--------------------------------------------------------------------
         // Cause an 'invalid parameter' error and catch the ECLErr exception.
         // Then extract the error number and language-sensitive message text.
         //--------------------------------------------------------------------
         {
            System.out.println("ECLErr Exception  --> " +err.GetMsgText());
         }

      }
   }

   // Whenever Screen updates this method will execute

   public void PSNotifyEvent(ECLPSEvent evt)
   {
      System.out.println("Screen updated");
   }

   public void PSNotifyStop(ECLPS eclps, int reason)
   {
   }

   public void PSNotifyError(ECLPS eclps, ECLErr e)
   {
      System.out.println("ECLErr Exception  --> " + e.GetMsgText());

   }

   /**
    * addListener
    * registers a Listener for this appl, this is required to notify
    * the appl when NetView sessions are going away
    */

   public void addListener( FLB_NVApplListener listener )
   {
      this.listener  = listener ;

   }

   /**
    This method gets control when NetView is closing down the session
    *           *****Important*****
    *       Must add code here to clean up and exit 
    *      Failure to do so may cause a session to hang
    
    */

   public void closeDown(){
      ps.UnregisterPSEvent(this);
      System.out.println("Session closing down");
   }

   /**
    * removeListener
    * un-registers a Listener for this appl
    */
   public void removeListener( FLB_NVApplListener listener ){
      this.listener = null;

   }

}



